//
//  YachApiObject.h
//  YachOpenSDK
//
//  Created by lifengfeng on 2020/11/11.
//  Copyright © 2020 100Tal. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef NS_ENUM(NSInteger, YachErrCode) {
    YachSuccess,
    YachErrCodeAuthFail   = -1,
    YachErrCodeAuthDeny   = -2,
};


#pragma mark - 请求
@interface BaseReq : NSObject

/// 可选参数，「第三方应用」任意设置，用来标识其请求的唯一性，「知音楼」跳转回「第三方应用」后会原模原样传回，长度不能超过1K，可为字母、数字、下划线
@property (nonatomic, copy) NSString *state;

@end


@interface SendAuthReq : BaseReq

/// 应用授权作用域
@property (nonatomic, copy) NSString *scope;

@end



#pragma mark - 响应
@interface BaseResp : NSObject

/// 错误码
@property (nonatomic, assign) YachErrCode errCode;
/// 错误提示字符串
@property (nonatomic, copy) NSString *errStr;

@end


@interface SendAuthResp : BaseResp

/// 用来换取 access_token 的 code
@property (nonatomic, copy) NSString *code;
/// 「第三方应用」任意设置，用来标识其请求的唯一性，「知音楼」跳转回「第三方应用」后会原模原样传回
@property (nonatomic, copy) NSString *state;

@end
